package com.datarecovery.master.sdk.ad;

import com.atmob.mediation.api.AdError;
import com.atmob.mediation.api.ad.AtmobAdLoadCallback;
import com.atmob.mediation.api.ad.splash.AtmobSplashAdListener;

public class SplashListenerAdapter implements AtmobSplashAdListener, AtmobAdLoadCallback {
    public void action() {

    }

    public void onShow() {

    }

    public void onClose() {

    }

    public void onFail(String s) {

    }

    public void onClick() {

    }

    @Override
    public final void onAdClicked() {
        onClick();
    }

    @Override
    public final void onAdShow() {
        onShow();
    }

    @Override
    public final void onAdShowFail(AdError adError) {
        onFail(adError.toString());
        action();
    }

    @Override
    public final void onAdDismiss() {
        action();
    }

    @Override
    public void onAdLoaded() {

    }

    @Override
    public final void onLoadFailed(AdError adError) {
        onFail(adError.toString());
        action();
    }
}
